﻿/*Applies fonts*/

h1, h2, h3, nav, #footer, #side-menu, #top-nav, .comments {
	font-family: "Advent Pro", sans-serif;
  font-weight: 400;
  font-style: normal;
}

p, dt, dd, .closerlook__item{
	font-family: "Bellefair", serif;
  font-weight: 400;
  font-style: normal;
}

/*gets rid of browser defaults*/

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/*responsive images*/

img {
  width: 100%;
  height: auto;
}

html{
	font-size: 10px;
}

body{
  background: #505050;
}

/*fixes overflow problem*/

.wrapper {
  overflow-x: hidden;
  position: relative;
}

a:hover{
  text-decoration: none;
}


#logo {
  width: 100%;
  height: 50rem;
  border-bottom: .1rem solid crimson;
}

#social {
  display: block;
  width: 100%;
  margin-top: 15rem;
  margin-left: 5rem;
  margin-bottom: 2.5rem;
  z-index: 1;
}

.social__link {
  padding: 1rem;
  color: #08F;
}

.social__link:hover {
  opacity: 0.7
}

#hamburger {
  margin: 1rem;
  padding: 1rem;
  background: #222;
  border-radius: .5rem;
  border: .1rem solid crimson;
  color: #08F;
}

#hamburger:hover {
  cursor: pointer;
  background-color: crimson;
  color: #dee0e3;
}

#top-nav{
  border-top: .2rem solid crimson;
  border-bottom: .2rem solid crimson;
	background: #222;
  display: inline-flex;
  align-items: center;
  width: 100vw;
}

.top-nav__link {
  margin: auto;
  text-decoration: none;
  color: #08F;
  letter-spacing: .3rem;
  font-size: 2rem;
  line-height: 200%;
  padding: 1rem 3rem 1rem 0;
}
.top-nav__link:visited{
	color: #08F;
	text-decoration: none;
}

.top-nav__link:hover{
	color: crimson;
  text-decoration: none;
}

.top-nav__link:active{
	color: #dee0e3;
  text-decoration: none;
}

.top-nav__link:last-of-type {
  border-right: hidden;
}

#side-menu{
  height: 100%;
	width: 0;
	position: fixed;
	z-index: 3;
	top: 0;
	left: 0;
	background: #222;
	opacity: 0.8;
	overflow-x: hidden;
	padding-top: 6rem;
	transition: 0.5s;
}

#side-menu__close{
	font-size: 4rem;
	position: absolute;
	top: 0;
	right: 2.8rem;
	margin-left: 5rem;
	font-weight: bold;
	text-decoration: none;
	color: #08F;
	list-style-type: none;
}

.side-menu__link{
	display: block;
	list-style-type: none;
	width: 100%;
	color: royalblue;
	font-size: 2rem;
	font-weight: bold;
	line-height: 400%;
	text-decoration: none;
	text-align: center;
}

.side-menu__link:hover{
	color: crimson;
  text-decoration: none;
}

.side-menu__link:active{
	color: #dee0e3;
}

#portrait {
  border-radius: 50%;
  height: 20rem;
  width: 20rem;
}

#main {
  display: block;
  margin: auto;
  width: 80vw;
  padding: 2rem;
  margin-bottom: 20rem;
  border: .1rem solid crimson;
  box-shadow: .2rem .2rem .2rem .2rem crimson;
  background: #222;
}

/* #hit-counter{
  display: block;
  width: 30rem;
  height: 10%;
  color: #dee0e3;
  margin: 5rem auto 5rem auto;
  text-align: center;
  border: .1rem solid crimson;
  padding: 1rem 1.5rem;
} */

.form__header {
  font-size: 4rem;
  margin: auto;
}

.form-group {
  width: 100%;
  margin-bottom: 2rem;
}

#contact-text {
  font-size: 2rem;
}

#select {
  text-align: center;
  font-weight: bold;
  font-size: 1.5rem;
}

#form-contact-method {
  margin-bottom: 0;
}

.form__label {
  color: #08F;
  margin: auto;
  font-size: 2rem;
  margin-bottom: 1.5rem;
}

#submit {
  color: #08F;
  padding: 1rem 2rem;
  margin-top: 5rem;
  margin-bottom: 5rem;
}

#name, #cell,#email, #social-handle  {
  color: #dee0e3;
  opacity: 0.8;
  font-weight: normal;
  width: 20vw;
  margin-bottom: 2rem;
}

#name:focus, #cell:focus, #email:focus, #socia-handle:focus, #textblock:focus {
  color: black;
}

h2 {
  margin-top: 5rem;
  margin-bottom: 5rem;
}

input[placeholder], textarea[placeholder] {
  text-align: center;
  font-style: italic;
  font-size: 1.25rem;
}

textarea {
  height: 10vh;
}

.form-control {
  margin: auto;
  width: 25vw;
}

.paginator {
  display: inline-flex;
  justify-content: space-between;
  margin: auto;
  width: 50vw;
  text-align: center;
  font-size: 1rem;
  font-weight: bold;
}

.paginator a {
  border: .1rem solid crimson;
  padding: .5rem 1rem;
  margin: 1rem;
  text-decoration: none;
}

.paginator a:hover{
  cursor: pointer;
  text-decoration: none;
  background-color: #dee0e3;
}

.paginator a:active{
  color: #dee0e3;
}

.paginator__button {
  color: #08F;

}

#text {
  font-size: 2rem;
  color: #dee0e3;
  line-height: 200%;
  padding: 2rem;
  text-align: start;
}

#contact-text {
  font-size: 2rem;
  color: #dee0e3;
  line-height: 200%;
  padding: 2rem;
  text-align: center;
}

.portfolio {
  display: flex;
  justify-content: center;
  width: 75%;
  margin: auto;
  margin-bottom: 5rem;
  margin-top: 5rem;
}

.caption {
  color: #dee0e3;
  padding: 2.5rem;
}

#main-image {
  margin: auto;
  border: .1rem solid crimson;
  height: 50rem;
  width: 50rem;
}

ul {
  color: lightgray;
}

h1 {
  color: #08F;
  text-align: center;
}

h2{
  color: #08F;
	font-size: 3rem;
	text-align: center;
}

h3{
  color: #08F;
  text-align: center;
}

dt{
  padding-bottom: .5rem;
  font-weight: bold;
  color: crimson;
	font-size: 2.5rem;
	text-align: center;
}

dd{
  padding-bottom: 1.5rem;
	font-size: 2rem;
}

#closerlook {
  display: block;
  margin:  auto;
  text-align: center;
}

.closerlook__item {
	font-size: 2rem;
	line-height: 300%;
	text-decoration: none;
	list-style-type: none;
  color: #dee0e3;
}

.closerlook__item-link {
  color: #08F;
}

.closerlook__item-link:visited {
	color: #08F;
	font-weight: bold;
	text-decoration: none;
}

.closerlook__item-link:hover {
  text-decoration: none;
  color: crimson;
}

dd, section{
	color: #dee0e3;
	text-align: center;
}

dl{
	padding-bottom: 4rem;
}

#post-time {
  font-size: 1.5rem;
  color: lightgray;
}

#text {
  text-align: center;
}

#footer {
  margin: auto;
  display: block;
  position: fixed;
  bottom: 0;
  width: 100%;
  height: 12%;
  line-height: 150%;
  margin: 0;
  background: #222;
  padding: 2rem 0 2rem 0;
  border-top: .1rem solid crimson;
}

.toenail {
  color: #08F;
  font-size: 1.5rem;
  text-align: center;
  font-weight: bold;
  width: 100%;
  margin: auto;
  padding: .5rem 0;
}

.copyright {
  color: #08F;
  font-size: 1.5rem;
  text-align: center;
  font-weight: bold;
}

@media (max-width: 60rem){

h1 {
  font-size: 3rem;
  text-shadow: .1rem .1rem .1rem black;
}

#social {
  margin-top: 20rem;
  font-size: 75%;
}

#top-nav{
		visibility: hidden;
	}

  #footer {
    margin-bottom: 0;
    display: block;
    height: 15%;
    line-height: 125%;
  }

  #toenail, .hours, .copyright {
    padding-top: 0;
  }

  .paginator a{
    float: left;
    margin: .5rem 0 .5rem 0;
    padding: .25rem .5rem;
    border: .1rem solid crimson;
    border-radius: 50%;
  }

  h2, dt {
    font-size: 2rem;
  }

  #text, dd, .closerlook__item {
    font-size: 1.5rem;
  }

  #main {
    margin-bottom: 20rem;
    width: 95vw;
  }

  #main-image {
    height: 30rem;
    width: 30rem;
  }

  .form__label {
    font-size: 1.5rem;
  }
  
  #name, #cell, #email, #social-handle {
    width: 30vw;
  }
  
  #textblock {
    margin: auto;
    width: 20rem;
    height: 30rem;
  }

  #post-time {
    font-size: 1.2rem;
  }

  #text {
    font-size: 1.4rem;
    padding: 1rem;
  }

  .toenail, .copyright {
    font-size: 1rem;
  }

  .copyright {
    text-wrap: nowrap;
  }
}
